Bug 1056907 - (CVE-2013-6479) CVE-2013-6479 pidgin: DoS when parsing certain HTTP response headers
CVE-2013-6479 pidgin: DoS when parsing certain HTTP response headers
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140128,repor...
: Security
Depends On: 1058238 1058239 1058240 1058242 1058243 1059049
Blocks: 1054257
  Show dependency treegraph
 
Reported: 2014-01-23 01:59 EST by Huzaifa S. Sidhpurwala
Modified: 2015-11-24 10:40 EST (History)
6 users (show)

See Also:
Fixed In Version: pidgin 2.10.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-19 16:05:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2014-01-23 01:59:01 EST
A flaw was found in the way pidgin certain HTTP response headers. A malicious server or man-in-the-middle could send a malformed HTTP response that could lead to a crash.


Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue. Upstream acknowledges Jacob Appelbaum of the Tor Project as the original reporter of this issue.
Comment 2 Vincent Danen 2014-01-28 16:00:39 EST
External References:

http://pidgin.im/news/security/?id=73
Comment 3 Huzaifa S. Sidhpurwala 2014-01-28 23:22:19 EST
Created pidgin tracking bugs for this issue:

Affects: fedora-all [bug 1059049]
Comment 4 errata-xmlrpc 2014-02-05 12:44:25 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0139 https://rhn.redhat.com/errata/RHSA-2014-0139.html
Comment 5 Fedora Update System 2014-02-05 22:49:31 EST
pidgin-2.10.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-02-14 02:59:00 EST
pidgin-2.10.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.